package org.jerrymouse.cc.site.view.display;

import java.util.List;

import org.jerrymouse.cc.site.bean.Resource;
import org.jerrymouse.cc.site.bean.Type;

public class DefaultDisplayer implements Displayer {

	public DisplayResult display(Resource resource) {
		return new DisplayResult(resource.getOrgBytes(), resource.getOrgType()
				.getMime());
	}

	public String getName() {
		return "defaultDisplayer";
	}

	public List<Type> support() {
		return null;
	}

}
